 
:root {
  /* color varables */
  --primary: #9f0d2d;
  --secondary: #54b9cb;
  --secondary-lt: #54b9cbee;
  --accent: #457f8b;
  --light-section-bg-color: #dddeee;
  --mobile-bg-color: #dddeeef1;
  --block-color: rgb(243, 236, 236);
  /* font colors */
  --title-color: #111;
  --text-color: #111;
  --light-text-color: #dddeee;

  /* fonts */
  --title-font: "Lexend Deca", sans-serif;
  --text-font: "Lexend Deca", sans-serif;
  /* font sizes */
  /* --hero-title: clamp(2.8rem, 4cqw, 3rem); */
  --hero-title: 3rem;
  --title-size: 2.1rem;
  --text-size: 1.5rem;
  --nav-menu: 1rem;
  /* for other styles */
  --radius: 8px;
  --shadow: 0 0 15px 5px rgba(0, 0, 0, 0.6);
  --block-padding: 5px 15px;
  --section-padding: 3em 20px;
}
/* ================================= 
| Top header with logo and nav links |
==================================== */
body {
  background-color: var(--block-color);
  font-family: var(--text-font);
  font-size: var(--text-size);
}
h1, h2 {
  font-family: var(--title-font);
  font-weight: 800;
  text-transform: capitalize;
}
.narrow-section {
  max-width: 900px;
  margin: 0 auto;
}
@media (min-width: 30em) {
  section {
    padding: var(--section-padding);
  }
  hr {
    max-width: 300px;
    margin: 1.5rem auto;
    border-bottom: 2px dotted var(--accent);
  }
}
.grid-center {
  min-height:500px; 
  width: 100%;
  display: grid;
  align-items: center;
}
.header {
  position: relative;
  border-top: 5px solid var(--primary);
  min-height: 200px;
}
/* logo and donate button */
.top-section {
  text-align: center;
 border-bottom: 3px solid var(--accent);
}

.logo img {
  margin: 30px auto;
}
/* text of terms and link */
.terms {
  text-align: center;
  animation: terms ease-in 1s;
}
.terms p {
  padding: 10px;
  font-size: 1rem;
  margin-bottom: 0;
}

p,
li {
  font-family: var(--text-font);
  font-weight: 400;
  font-size: var(--text-size);
}
a {
  text-decoration: none;
  font-family: var(--text-font);
}
.list-group-item a {
  text-align: center;
  color: var(--accent);
}

.bg {
  /* puts the light gray background to that section */
  background-color: var(--light-section-bg-color);
}
.custom-section {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  justify-content: space-around;
  max-width: 1300px;
  margin: 0 auto;
  padding: var(--block-padding);
}
/* for some titles to be the primary color */
.primary {
  color: var(--primary);
}
/* The front page and contact form */
.form {
  max-width: 900px;
  margin: auto;
  border-radius: var(--radius);
  padding: 2em;
  border: 1px solid var(--accent);
  box-shadow: var(--shadow);
}

/* ================================= 
| The survey page other than bootstrap |
==================================== */

.survey {
  background-image: url('assets/imgs/dart-logo.svg');
  background-position: bottom center;
  background-attachment: fixed;
  background-size: 100vw;
  background-repeat: no-repeat;
  background-color: rgb(243 236 236 /.6);
  background-blend-mode: overlay;
}
.survey-inner {
  border: 1px solid var(--accent);
  box-shadow: 0 0 15px #333;
  padding: 10px;
  background-color: #ffffffb0;
}


legend {
  background-color: var(--accent);
  color: white;
  padding: 5px 10px;
}
input:placeholder-shown {
  max-width: 95%;
}

.survey .custom-section {
  margin: 0;
}
.indent {
  margin: 15px 30px ;
}
.survey .hr {
  width: 100%;
border-bottom: 2px dotted var(--accent);
  margin: 2rem 0;
}
.survey h4 {
  color: var(--title-color);
  font-size: var(--title-size);
  margin-bottom: 1.2rem;
}
.survey label {
  font-size: var(--text-size);
}
.survey input {
  border-color: var(--accent);
  font-size: var(--text-size);

}
.survey-bottom {
  color: var(--light-text-color);
  padding: 5px;
  background-color: #333;
}